> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagelockmode.md).

# ImageLockMode

Namespace: **System.Drawing.Imaging**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies flags that are passed to the flags parameter of the [LockBits](/system.drawing.managed/api/system.drawing/system.drawing.bitmap.md#lockbits-rect-flags-format) method. The[LockBits](/system.drawing.managed/api/system.drawing/system.drawing.bitmap.md#lockbits-rect-flags-format) method locks a portion of an image so that you can read or write the pixel data.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ImageLockMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ImageLockMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                | Description                                                                                                                                                                                                                                                                                                                                                                                                            |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **ReadOnly**        | Specifies that a portion of the image is locked for reading.                                                                                                                                                                                                                                                                                                                                                           |
| **ReadWrite**       | Specifies that a portion of the image is locked for reading or writing.                                                                                                                                                                                                                                                                                                                                                |
| **UserInputBuffer** | Specifies that the buffer used for reading or writing pixel data is allocated by the user. If this flag is set, the flags parameter of the [LockBits](/system.drawing.managed/api/system.drawing/system.drawing.bitmap.md#lockbits-rect-flags-format) method serves as an input parameter (and possibly as an output parameter). If this flag is cleared, then the flags parameter serves only as an output parameter. |
| **WriteOnly**       | Specifies that a portion of the image is locked for writing.                                                                                                                                                                                                                                                                                                                                                           |

## Used By

| Name                                                                                                          | Description                                                  |
| ------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| [Bitmap.LockBits](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagelockmode.md) | Locks a portion of the bitmap for direct pixel manipulation. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.imagelockmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
